> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlystar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add data source into datastore



## OpenAPI

````yaml api-reference/openapi-1.json post /api/v1/dataStore/{org_id}/dataStore/{dataStore_id}/addDataSource
openapi: 3.0.1
info:
  title: '@fastify/swagger'
  version: 8.15.0
servers:
  - url: https://app.aptlystar.ai
security: []
paths:
  /api/v1/dataStore/{org_id}/dataStore/{dataStore_id}/addDataSource:
    post:
      tags:
        - DataStore
      summary: Add data source into datastore
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
        - name: dataStore_id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              required:
                - content
                - type
              type: object
              properties:
                content:
                  type: string
                type:
                  type: string
                  enum:
                    - text
                    - website
                    - crawl
                    - github
                    - youtube
                    - rest
                    - sitemap
                maxDepth:
                  type: number
                maxLinks:
                  type: number
                options:
                  type: object
                  properties: {}
        required: false
      responses:
        '200':
          description: Default Response
          content: {}

````